Subject: Re: bug#55870: GNU Emacs 26.3, Select All(C-x h) does not work

From: Po Lu <[email-masked]>
Date: Sun, 17 Jul 2022 15:27:12 +0800

Eli Zaretskii <[email-masked]> writes:

> Maybe this is the reason.  Po Lu, what data-type do we use on X to put
> data into the clipboard when the user presses M-w?

None in particular: we store the clipboard data locally, and other
programs request different selection "targets" from Emacs depending on
the coding system they want it in.  Normally, it is UTF8_STRING for
UTF-8 data, COMPOUND_TEXT for X compound text data, STRING for
iso-latin-1, and C_STRING for raw text.

selection-coding-system should not be set under X, since the semantics
are very confusing.  Simple example: when selection-coding-system is set
to utf-8-dos, Emacs will respond to requests for UTF8_STRING with text
encoded with utf-8-dos, but requests for STRING will still be Latin-1.